import { Manager } from './manager';
declare type appearCallback = (isInViewport: boolean, isFullyInViewport: boolean, position: string) => void;
interface IAppearOption {
    once?: boolean;
    root?: Element;
    rootMargin?: string;
    threshold: number | number[];
    callback: appearCallback;
}
export declare class Appear extends Manager {
    private observers;
    private elementsByObserver;
    private onceByElement;
    private cbByElement;
    constructor();
    bind(el: HTMLElement, opts: IAppearOption): void;
    unbind(el: HTMLElement): void;
    private createObserver;
    private getObserverByOptions;
    private getObserverByElement;
    private addObserver;
    private removeObserver;
    private unobserve;
    private intersected;
}
export {};
